
## Environment

The code is tested with Pytorch 2.3.0 and timm 0.9.12, together with common dependencies including numpy, matplotlib, and jupyter notebook.

## Run

To reproduce main results in the paper, one can simply set up the right dataset directories and run notebook/little_big.ipynb

By default, the notebook will first evaluate all the models in the model list and save all the results. One needs to do that for both ImageNet-1K/ReaL (same samples, different label) and ImageNet-V2.

The second part of the notebook loads Little-Big pairs, computes and visualizes accuracy trade-off curves as shown in the paper.
